Create or update an alias
- POST also PUT /{index}/_aliases/{name}
- POST also PUT /{index}/_alias/{name}
Adds a data stream or index to an alias.
AliasesPath Parameters
-
indexIndexName | IndexNamerequired -
Comma-separated list of data streams or indices to add. Supports wildcards (
*). Wildcard patterns that match both data streams and indices return an error. -
namestring Namerequired -
Alias to update. If the alias doesn’t exist, the request creates it. Index alias names support date math.
Query Parameters
-
master_timeoutstring Duration · default: 30s Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.
-
timeoutstring Duration · default: 30s Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.
Request
-
filterQueryContainer -
Query used to limit documents the alias can access.
-
index_routingstring -
Value used to route indexing operations to a specific shard. If specified, this overwrites the
routingvalue for indexing operations. Data stream aliases don’t support this parameter. -
is_write_indexboolean -
If
true, sets the write index or data stream for the alias. If an alias points to multiple indices or data streams andis_write_indexisn’t set, the alias rejects write requests. If an index alias points to one index andis_write_indexisn’t set, the index automatically acts as the write index. Data stream aliases don’t automatically set a write data stream, even if the alias points to one data stream. -
routingstring -
Value used to route indexing and search operations to a specific shard. Data stream aliases don’t support this parameter.
-
search_routingstring -
Value used to route search operations to a specific shard. If specified, this overwrites the
routingvalue for search operations. Data stream aliases don’t support this parameter.
Response
-
acknowledgedbooleanrequired -
For a successful response, this value is always true. On failure, an exception is returned instead.